package Text::Highlight::Perl;
use strict;

sub syntax
{
	return {
          'name' => 'Perl',
          'blockCommentOn' => [],
          'case' => 1,
          'key3' => {
                      'ne' => 1,
                      'tr' => 1,
                      'le' => 1,
                      'not' => 1,
                      'x' => 1,
                      'y' => 1,
                      'or' => 1,
                      'eq' => 1,
                      'qw' => 1,
                      'qq' => 1,
                      'm' => 1,
                      's' => 1,
                      'cmp' => 1,
                      'lt' => 1,
                      'xor' => 1,
                      'gt' => 1,
                      'q' => 1,
                      'qx' => 1,
                      'and' => 1,
                      'ge' => 1
                    },
          'key2' => {
                      'scalar' => 1,
                      'sqrt' => 1,
                      'print' => 1,
                      'getppid' => 1,
                      'vec' => 1,
                      'rename' => 1,
                      'chop' => 1,
                      'caller' => 1,
                      'wantarray' => 1,
                      'each' => 1,
                      'undef' => 1,
                      'stat' => 1,
                      'open' => 1,
                      'getpwuid' => 1,
                      'setpriority' => 1,
                      'flock' => 1,
                      'eof' => 1,
                      'delete' => 1,
                      'rindex' => 1,
                      'getpwent' => 1,
                      'getpeername' => 1,
                      'quotemeta' => 1,
                      'tied' => 1,
                      'setnetent' => 1,
                      'system' => 1,
                      'time' => 1,
                      'shmget' => 1,
                      'die' => 1,
                      'getprotobyname' => 1,
                      'unshift' => 1,
                      'warn' => 1,
                      'uc' => 1,
                      'getprotobynumber' => 1,
                      'getpriority' => 1,
                      'ord' => 1,
                      'truncate' => 1,
                      'getlogin' => 1,
                      'sort' => 1,
                      'length' => 1,
                      'index' => 1,
                      'bless' => 1,
                      'wait' => 1,
                      'chdir' => 1,
                      'shmwrite' => 1,
                      'seekdir' => 1,
                      'exists' => 1,
                      'opendir' => 1,
                      'shmread' => 1,
                      'exit' => 1,
                      'substr' => 1,
                      'no' => 1,
                      'kill' => 1,
                      'unlink' => 1,
                      'readdir' => 1,
                      'grep' => 1,
                      'getservent' => 1,
                      'write' => 1,
                      'split' => 1,
                      'exp' => 1,
                      'ioctl' => 1,
                      'values' => 1,
                      'getservbyname' => 1,
                      'setsockopt' => 1,
                      'setprotoent' => 1,
                      'sin' => 1,
                      'push' => 1,
                      'shift' => 1,
                      'pack' => 1,
                      'hex' => 1,
                      'endprotoent' => 1,
                      'setgrent' => 1,
                      'getpgrp' => 1,
                      'msgctl' => 1,
                      'msgrcv' => 1,
                      'keys' => 1,
                      'close' => 1,
                      'gethostbyname' => 1,
                      'printf' => 1,
                      'select' => 1,
                      'formline' => 1,
                      'accept' => 1,
                      'gmtime' => 1,
                      'chmod' => 1,
                      'import' => 1,
                      'fork' => 1,
                      'splice' => 1,
                      'endpwent' => 1,
                      'lc' => 1,
                      'rewinddir' => 1,
                      'getgrent' => 1,
                      'atan2' => 1,
                      'fcntl' => 1,
                      'sysread' => 1,
                      'getsockname' => 1,
                      'closedir' => 1,
                      'listen' => 1,
                      'getservbyport' => 1,
                      'sethostent' => 1,
                      'study' => 1,
                      'semctl' => 1,
                      'lcfirst' => 1,
                      'localtime' => 1,
                      'ref' => 1,
                      'chown' => 1,
                      'abs' => 1,
                      'join' => 1,
                      'tell' => 1,
                      'sysopen' => 1,
                      'int' => 1,
                      'endgrent' => 1,
                      'untie' => 1,
                      'unpack' => 1,
                      'gethostent' => 1,
                      'setservent' => 1,
                      'syswrite' => 1,
                      'getnetent' => 1,
                      'setpwent' => 1,
                      'alarm' => 1,
                      'glob' => 1,
                      'pos' => 1,
                      'oct' => 1,
                      'getnetbyaddr' => 1,
                      'getsockopt' => 1,
                      'syscall' => 1,
                      'chr' => 1,
                      'tie' => 1,
                      'shmctl' => 1,
                      'getnetbyname' => 1,
                      'semop' => 1,
                      'binmode' => 1,
                      'waitpid' => 1,
                      'gethostbyaddr' => 1,
                      'mkdir' => 1,
                      'ucfirst' => 1,
                      'times' => 1,
                      'semget' => 1,
                      'pop' => 1,
                      'lstat' => 1,
                      'pipe' => 1,
                      'getc' => 1,
                      'sysseek' => 1,
                      'rmdir' => 1,
                      'shutdown' => 1,
                      'read' => 1,
                      'fileno' => 1,
                      'new' => 1,
                      'msgget' => 1,
                      'prototype' => 1,
                      'exec' => 1,
                      'srand' => 1,
                      'chroot' => 1,
                      'defined' => 1,
                      'telldir' => 1,
                      'bind' => 1,
                      'readlink' => 1,
                      'socket' => 1,
                      'reverse' => 1,
                      'utime' => 1,
                      'recv' => 1,
                      'endhostent' => 1,
                      'setpgrp' => 1,
                      'send' => 1,
                      'dump' => 1,
                      'socketpair' => 1,
                      'getpwnam' => 1,
                      'endnetent' => 1,
                      'crypt' => 1,
                      'cos' => 1,
                      'endservent' => 1,
                      'symlink' => 1,
                      'reset' => 1,
                      'getgrnam' => 1,
                      'log' => 1,
                      'sprintf' => 1,
                      'getgrgid' => 1,
                      'connect' => 1,
                      'dbmopen' => 1,
                      'eval' => 1,
                      'link' => 1,
                      'rand' => 1,
                      'getprotoent' => 1,
                      'format' => 1,
                      'chomp' => 1,
                      'dbmclose' => 1,
                      'msgsnd' => 1,
                      'umask' => 1,
                      'sleep' => 1,
                      'seek' => 1
                    },
          'lineComment' => [
                             '#'
                           ],
          'delimiters' => ',(){}[]-+*/=~!&|<>?:;.$@%',
          'key1' => {
                      'require' => 1,
                      'next' => 1,
                      'lock' => 1,
                      'SIG' => 1,
                      'my' => 1,
                      'if' => 1,
                      'redo' => 1,
                      'map' => 1,
                      '__END__' => 1,
                      'our' => 1,
                      'FALSE' => 1,
                      'ARGV' => 1,
                      'INC' => 1,
                      'for' => 1,
                      'else' => 1,
                      'ENV' => 1,
                      'continue' => 1,
                      'TRUE' => 1,
                      '__LINE__' => 1,
                      'do' => 1,
                      'local' => 1,
                      'foreach' => 1,
                      'use' => 1,
                      'ARGVOUT' => 1,
                      'goto' => 1,
                      'STDOUT' => 1,
                      'last' => 1,
                      'unless' => 1,
                      'package' => 1,
                      'elsif' => 1,
                      'return' => 1,
                      'until' => 1,
                      'while' => 1,
                      'STDERR' => 1,
                      'sub' => 1,
                      'STDIN' => 1,
                      '__DATA__' => 1,
                      '__PACKAGE__' => 1,
                      '__FILE__' => 1
                    },
          'quot' => [
                      '\'',
                      '"'
                    ],
          'escape' => '\\',
          'continueQuote' => 1
        };

}

1;
__END__
